<?php

namespace Phpdeveloper\Phpdeveloper;

use DB;
use Illuminate\Database\Seeder;

class PhpdeveloperTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('phpdevelopers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'phpdeveloper.phpdeveloper.view',
                'name'      => 'View Phpdeveloper',
            ],
            [
                'slug'      => 'phpdeveloper.phpdeveloper.create',
                'name'      => 'Create Phpdeveloper',
            ],
            [
                'slug'      => 'phpdeveloper.phpdeveloper.edit',
                'name'      => 'Update Phpdeveloper',
            ],
            [
                'slug'      => 'phpdeveloper.phpdeveloper.delete',
                'name'      => 'Delete Phpdeveloper',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/phpdeveloper/phpdeveloper',
                'name'        => 'Phpdeveloper',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/phpdeveloper/phpdeveloper',
                'name'        => 'Phpdeveloper',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'phpdeveloper',
                'name'        => 'Phpdeveloper',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Phpdeveloper',
                'module'    => 'Phpdeveloper',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'phpdeveloper.phpdeveloper.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
